rem TFSoundTransform 
rem www.engenic.com
rem - TeleFlow Sounds File Manipulation Routines
rem - Wav / Vox / Vap - Mono low Hz files only.


rem ** Create some work files
copy a8.wav              go_a8.wav
copy b8.wav              go_b8.wav
copy c8.wav              go_c8.wav
copy b.vox               go_b.vox
copy enGenic-8000-16.wav go_engenic16.wav


rem ** Amplify (1% to 500%)
TFSoundTransform -A go_a8.wav 200 
TFSoundTransform -A go_b8.wav 200 -S
TFSoundTransform -A go_c8.wav 200 -S 


rem ** Append vox and wavs together
rem    - The b was not amplified
TFSoundTransform -W88 go_a8.wav -V8 go_b.vox -W88 go_c8.wav -W88 go_abc8.wav


rem ** Create a Touch Tone String - S = *, p = #, Commas = 1/2 second
TFSoundTransform -TT go_tt.wav 604,639,6391,SP


rem ** create a blank
TFSoundTransform -CW88 go_blank.wav -S


rem ** Convert 16bit to 8bit
TFSoundTransform -W816 go_engenic16.wav -W88 go_engenic8.wav
TFSoundTransform -W816 go_tt.wav        -W88 go_tt8.wav


rem ** Append 
TFSoundTransform -W88 go_engenic8.wav -W88 go_tt8.wav -W88 go_finaltest.wav


pause

